- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- SegmentImage

# NAME

segment - Segment an Image with Thresholding Fuzzy c-Means

# SYNOPSIS

MagickBooleanType SegmentImage( Image *image, const ColorspaceType colorspace, const MagickBooleanType verbose, const double cluster_threshold, const double smooth_threshold );

# FUNCTION DESCRIPTIONS

## SegmentImage

> SegmentImage() segment an image by analyzing the histograms of the color components and identifying units that are homogeneous with the fuzzy C-means technique.

The format of the SegmentImage method is:

> MagickBooleanType SegmentImage ( Image *image, const ColorspaceType colorspace, const MagickBooleanType verbose, const double cluster_threshold, const double smooth_threshold );

A description of each parameter follows.

image:
  The image.

colorspace:
  indicates the colorspace.

verbose:
  A value greater than zero prints detailed information about the identified classes.

cluster_threshold:
  This MagickRealType represents the minimum number of pixels contained in a hexahedra before it can be considered valid (expressed as a percentage).

smooth_threshold:
  the smoothing threshold eliminates noise in the second derivative of the histogram. As the value is increased, you can expect a smoother second derivative.

"Image manipulation software that works like magick"